package com.ruoyi.powerdistribution.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.powerdistribution.domain.PdmWorkCompleStatistics;
import com.ruoyi.powerdistribution.service.IPdmWorkCompleStatisticsService;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * 工程量完成情况Controller
 *
 * @author ruoyi
 * @date 2025-01-22
 */
@RestController
@Api(value = "PdmWorkCompleStatisticsController", tags = "工程量完成情况")
@RequestMapping("/power/workCompleStatistics")
public class PdmWorkCompleStatisticsController extends BaseController
{
    @Autowired
    private IPdmWorkCompleStatisticsService pdmWorkCompleStatisticsService;

    /**
     * 查询工程量完成情况列表
     */
    @ApiOperation(value = "查询工程量完成情况列表")
    @GetMapping("/list")
    public TableDataInfo list(PdmWorkCompleStatistics pdmWorkCompleStatistics)
    {
        startPage();
        List<PdmWorkCompleStatistics> list = pdmWorkCompleStatisticsService.selectPdmWorkCompleStatisticsList(pdmWorkCompleStatistics);
        return getDataTable(list);
    }
    /**
     * 导出工程量完成情况列表
     */
    @Log(title = "导出工程量完成情况列表", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    @ApiOperation(value = "导出工程量完成情况列表")
    public void export(HttpServletResponse response, PdmWorkCompleStatistics pdmWorkCompleStatistics)
    {
        List<PdmWorkCompleStatistics> list = pdmWorkCompleStatisticsService.selectPdmWorkCompleStatisticsList(pdmWorkCompleStatistics);
        ExcelUtil<PdmWorkCompleStatistics> util = new ExcelUtil<PdmWorkCompleStatistics>(PdmWorkCompleStatistics.class);
        util.exportExcel(response, list, "工程量完成情况数据");
    }
    /**
     * 获取工程量完成情况详细信息
     */
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") String id)
    {
        return success(pdmWorkCompleStatisticsService.selectPdmWorkCompleStatisticsById(id));
    }


}
