package com.ruoyi.powerdistribution.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 施工车辆告警历史对象 pdm_vehicle_alarm_hist
 * 
 * @author ruoyi
 * @date 2025-01-23
 */
@Data
public class PdmVehicleAlarmHist extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 施工车辆 */
    @Excel(name = "施工车辆")
    private String vehicleNo;

    /** 发生日期 */
    @Excel(name = "发生日期")
    private String occurDate;

    /** 异常编码0-正常,1-车辆GPS离线,2-施工车辆长期未动,3-有作业信息，没有车辆行驶里程,4-有车辆行驶里程，没有作业信息 */
    @Excel(name = "异常编码0-正常,1-车辆GPS离线,2-施工车辆长期未动,3-有作业信息，没有车辆行驶里程,4-有车辆行驶里程，没有作业信息")
    private String alarmCd;

    /** 告警描述 */
    @Excel(name = "告警描述")
    private String alarmDesc;

    private String startDate;

    private  String endDate;

    private String vehicleGroup;

    private String eventStartDate;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setVehicleNo(String vehicleNo) 
    {
        this.vehicleNo = vehicleNo;
    }

    public String getVehicleNo() 
    {
        return vehicleNo;
    }
    public void setOccurDate(String occurDate) 
    {
        this.occurDate = occurDate;
    }

    public String getOccurDate() 
    {
        return occurDate;
    }
    public void setAlarmCd(String alarmCd) 
    {
        this.alarmCd = alarmCd;
    }

    public String getAlarmCd() 
    {
        return alarmCd;
    }
    public void setAlarmDesc(String alarmDesc) 
    {
        this.alarmDesc = alarmDesc;
    }

    public String getAlarmDesc() 
    {
        return alarmDesc;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("vehicleNo", getVehicleNo())
            .append("occurDate", getOccurDate())
            .append("alarmCd", getAlarmCd())
            .append("alarmDesc", getAlarmDesc())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
