package com.ruoyi.powerdistribution.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 施工车辆行驶记录对象 pdm_vehicle_driving_record
 * 
 * @author ruoyi
 * @date 2025-01-21
 */
@Data
public class PdmVehicleDrivingRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 施工车辆 */
    @Excel(name = "施工车辆")
    private String vehicleNo;

    /** 车组 */
    @Excel(name = "车组")
    private String vehicleGroup;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String equipNo;

    /** 设备名称 */
    @Excel(name = "设备名称")
    private String equipNm;

    /** 开始时间 */
    //@JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间", width = 30)
    private String startTm;

    /** 结束时间 */
   // @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束时间", width = 30)
    private String endTm;

    /** 行驶里程 */
    @Excel(name = "行驶里程")
    private BigDecimal mileage;

    private boolean greaterThanZero;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setVehicleNo(String vehicleNo) 
    {
        this.vehicleNo = vehicleNo;
    }

    public String getVehicleNo() 
    {
        return vehicleNo;
    }
    public void setVehicleGroup(String vehicleGroup) 
    {
        this.vehicleGroup = vehicleGroup;
    }

    public String getVehicleGroup() 
    {
        return vehicleGroup;
    }
    public void setEquipNo(String equipNo) 
    {
        this.equipNo = equipNo;
    }

    public String getEquipNo() 
    {
        return equipNo;
    }
    public void setEquipNm(String equipNm) 
    {
        this.equipNm = equipNm;
    }

    public String getEquipNm() 
    {
        return equipNm;
    }
    public void setStartTm(String startTm)
    {
        this.startTm = startTm;
    }

    public String getStartTm()
    {
        return startTm;
    }
    public void setEndTm(String endTm)
    {
        this.endTm = endTm;
    }

    public String getEndTm()
    {
        return endTm;
    }
    public void setMileage(BigDecimal mileage) 
    {
        this.mileage = mileage;
    }

    public BigDecimal getMileage() 
    {
        return mileage;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("vehicleNo", getVehicleNo())
            .append("vehicleGroup", getVehicleGroup())
            .append("equipNo", getEquipNo())
            .append("equipNm", getEquipNm())
            .append("startTm", getStartTm())
            .append("endTm", getEndTm())
            .append("mileage", getMileage())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
