package com.ruoyi.powerdistribution.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 工程量完成情况对象 pdm_work_comple_statistics
 *
 * @author ruoyi
 * @date 2025-02-11
 */
public class PdmWorkCompleStatistics extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 批次工程ID  */
    @Excel(name = "批次工程ID ")
    private String batchId;

    /** 批次工程名称 */
    @Excel(name = "批次工程名称")
    private String batchName;

    /** 批次工程编号 */
    @Excel(name = "批次工程编号")
    private String batchCode;

    /** 计划年度 */
    @Excel(name = "计划年度")
    private String planYear;

    /** 工程ID */
    private String id;

    /** 单项工程编号 */
    @Excel(name = "单项工程编号")
    private String proCode;

    /** 单项工程名称 */
    @Excel(name = "单项工程名称")
    private String proName;

    /** 排序序号 */
    @Excel(name = "排序序号")
    private String sortSerial;

    /** 设计批复村名 */

    private String smallVillageName;

    /** 合并村名 */
    private String villageName;

    /** 竣工标志 1已竣工0未竣工 */
    @Excel(name = "竣工标志 1已竣工0未竣工")
    private String completeFlag;

    /** 项目类别：10农网;20城网 */
    @Excel(name = "项目类别：10农网;20城网")
    private String proCategory;

    /** 10kV线路电缆计划量 */
    @Excel(name = "10kV线路电缆计划量")
    private BigDecimal lineCableNewPlanQt;

    /** 10kV线路电缆累计工程量 */
    @Excel(name = "10kV线路电缆累计工程量")
    private BigDecimal lineCableNewAccuQt;

    /** 10kV线路架空计划量 */
    @Excel(name = "10kV线路架空计划量")
    private BigDecimal lineOverhdNewPlanQt;

    /** 10kV线路架空累计工程量 */
    @Excel(name = "10kV线路架空累计工程量")
    private BigDecimal lineOverhdNewAccuQt;

    /** 配电变压器计划量 */
    @Excel(name = "配电变压器计划量")
    private BigDecimal distTransNewPlanQt;

    /** 10kV线路电缆累计工程量 */
    @Excel(name = "10kV线路电缆累计工程量")
    private BigDecimal distTransNewAccuQt;

    /** 低压线路计划量 */
    @Excel(name = "低压线路计划量")
    private BigDecimal lowVoltLinePlanQt;

    /** 低压线路累计工程量 */
    @Excel(name = "低压线路累计工程量")
    private BigDecimal lowVoltLineAccuQt;

    /** 杆塔基计划量 */
    @Excel(name = "杆塔基计划量")
    private BigDecimal towerPlanQt;

    /** 杆塔基累计工程量 */
    @Excel(name = "杆塔基累计工程量")
    private BigDecimal towerAccuQt;

    /** 环网柜台计划量 */
    @Excel(name = "环网柜台计划量")
    private BigDecimal ringCabinetPlanQt;

    /** 环网柜台累计工程量 */
    @Excel(name = "环网柜台累计工程量")
    private BigDecimal ringCabinetAccuQt;

    /** 柱上断路器台计划量 */
    @Excel(name = "柱上断路器台计划量")
    private BigDecimal poleTabPlanQt;

    /** 柱上断路器台累计工程量 */
    @Excel(name = "柱上断路器台累计工程量")
    private BigDecimal poleTabAccuQt;

    /** 10kV线路电缆新增工程量 */
    @Excel(name = "10kV线路电缆新增工程量")
    private BigDecimal lineCableNewAccuQtWeek;

    /** 10kV线路架空新增工程量 */
    @Excel(name = "10kV线路架空新增工程量")
    private BigDecimal lineOverhdNewAccuQtWeek;

    /** 配电变压器新增工程量 */
    @Excel(name = "配电变压器新增工程量")
    private BigDecimal distTransNewAccuQtWeek;

    /** 低压线路新增工程量 */
    @Excel(name = "低压线路新增工程量")
    private BigDecimal lowVoltLineAccuQtWeek;

    /** 杆塔基新增工程量 */
    @Excel(name = "杆塔基新增工程量")
    private BigDecimal towerAccuQtWeek;

    /** 环网柜台新增工程量 */
    @Excel(name = "环网柜台新增工程量")
    private BigDecimal ringCabinetAccuQtWeek;

    /** 柱上断路器台新增工程量 */
    @Excel(name = "柱上断路器台新增工程量")
    private BigDecimal poleTabAccuQtWeek;

    /** 10kV线路电缆关联作业信息数 */
    @Excel(name = "10kV线路电缆关联作业信息数")
    private BigDecimal lineCableNewAccuQtWork;

    /** 10kV线路架空关联作业信息数 */
    @Excel(name = "10kV线路架空关联作业信息数")
    private BigDecimal lineOverhdNewAccuQtWork;

    /** 配电变压器关联作业信息数 */
    @Excel(name = "配电变压器关联作业信息数")
    private BigDecimal distTransNewAccuQtWork;

    /** 低压线路关联作业信息数 */
    @Excel(name = "低压线路关联作业信息数")
    private BigDecimal lowVoltLineAccuQtWork;

    /** 杆塔基关联作业信息数 */
    @Excel(name = "杆塔基关联作业信息数")
    private BigDecimal towerAccuQtWork;

    /** 环网柜台关联作业信息数 */
    @Excel(name = "环网柜台关联作业信息数")
    private BigDecimal ringCabinetAccuQtWork;

    /** 柱上断路器台关联作业信息数 */
    @Excel(name = "柱上断路器台关联作业信息数")
    private BigDecimal poleTabAccuQtWork;

    /** 10kV线路电缆本周关联作业信息数 */
    @Excel(name = "10kV线路电缆本周关联作业信息数")
    private BigDecimal lineCableNewAccuQtWorkWeek;

    /** 10kV线路架空本周关联作业信息数 */
    @Excel(name = "10kV线路架空本周关联作业信息数")
    private BigDecimal lineOverhdNewAccuQtWorkWeek;

    /** 配电变压器本周关联作业信息数 */
    @Excel(name = "配电变压器本周关联作业信息数")
    private BigDecimal distTransNewAccuQtWorkWeek;

    /** 低压线路本周关联作业信息数 */
    @Excel(name = "低压线路本周关联作业信息数")
    private BigDecimal lowVoltLineAccuQtWorkWeek;

    /** 杆塔基本周关联作业信息数 */
    @Excel(name = "杆塔基本周关联作业信息数")
    private BigDecimal towerAccuQtWorkWeek;

    /** 环网柜台本周关联作业信息数 */
    @Excel(name = "环网柜台本周关联作业信息数")
    private BigDecimal ringCabinetAccuQtWorkWeek;

    /** 柱上断路器台本周关联作业信息数 */
    @Excel(name = "柱上断路器台本周关联作业信息数")
    private BigDecimal poleTabAccuQtWorkWeek;

    /** 异常标志 0否1是 */
    @Excel(name = "异常标志 0否1是")
    private String excType;

    /** 标准单位编码  */
    @Excel(name = "标准单位编码 ")
    private String stdOrgNo;

    /** 标准单位名称  */
    @Excel(name = "标准单位名称 ")
    private String stdOrgNm;

    /** 标准地市单位编码  */
    @Excel(name = "标准地市单位编码 ")
    private String stdCityOrgNo;

    /** 标准地市单位名称  */
    @Excel(name = "标准地市单位名称 ")
    private String stdCityOrgNm;

    /** 标准区县单位编码  */
    @Excel(name = "标准区县单位编码 ")
    private String stdCountyOrgNo;

    /** 标准区县单位名称  */
    @Excel(name = "标准区县单位名称 ")
    private String stdCountyOrgNm;

    /** 数据日期  */
    @Excel(name = "数据日期 ")
    private String dataDt;

    /** ETL时间戳  */
    @Excel(name = "ETL时间戳 ")
    private String etlTm;

    /** 杆塔基新增工程量 */
    @Excel(name = "作业总数")
    private BigDecimal workTotal;

    public void setBatchId(String batchId)
    {
        this.batchId = batchId;
    }

    public String getBatchId()
    {
        return batchId;
    }
    public void setBatchName(String batchName)
    {
        this.batchName = batchName;
    }

    public String getBatchName()
    {
        return batchName;
    }
    public void setBatchCode(String batchCode)
    {
        this.batchCode = batchCode;
    }

    public String getBatchCode()
    {
        return batchCode;
    }
    public void setPlanYear(String planYear)
    {
        this.planYear = planYear;
    }

    public String getPlanYear()
    {
        return planYear;
    }
    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setProCode(String proCode)
    {
        this.proCode = proCode;
    }

    public String getProCode()
    {
        return proCode;
    }
    public void setProName(String proName)
    {
        this.proName = proName;
    }

    public String getProName()
    {
        return proName;
    }
    public void setSortSerial(String sortSerial)
    {
        this.sortSerial = sortSerial;
    }

    public String getSortSerial()
    {
        return sortSerial;
    }
    public void setSmallVillageName(String smallVillageName)
    {
        this.smallVillageName = smallVillageName;
    }

    public String getSmallVillageName()
    {
        return smallVillageName;
    }
    public void setVillageName(String villageName)
    {
        this.villageName = villageName;
    }

    public String getVillageName()
    {
        return villageName;
    }
    public void setCompleteFlag(String completeFlag)
    {
        this.completeFlag = completeFlag;
    }

    public String getCompleteFlag()
    {
        return completeFlag;
    }
    public void setProCategory(String proCategory)
    {
        this.proCategory = proCategory;
    }

    public String getProCategory()
    {
        return proCategory;
    }
    public void setLineCableNewPlanQt(BigDecimal lineCableNewPlanQt)
    {
        this.lineCableNewPlanQt = lineCableNewPlanQt;
    }

    public BigDecimal getLineCableNewPlanQt()
    {
        return lineCableNewPlanQt;
    }
    public void setLineCableNewAccuQt(BigDecimal lineCableNewAccuQt)
    {
        this.lineCableNewAccuQt = lineCableNewAccuQt;
    }

    public BigDecimal getLineCableNewAccuQt()
    {
        return lineCableNewAccuQt;
    }
    public void setLineOverhdNewPlanQt(BigDecimal lineOverhdNewPlanQt)
    {
        this.lineOverhdNewPlanQt = lineOverhdNewPlanQt;
    }

    public BigDecimal getLineOverhdNewPlanQt()
    {
        return lineOverhdNewPlanQt;
    }
    public void setLineOverhdNewAccuQt(BigDecimal lineOverhdNewAccuQt)
    {
        this.lineOverhdNewAccuQt = lineOverhdNewAccuQt;
    }

    public BigDecimal getLineOverhdNewAccuQt()
    {
        return lineOverhdNewAccuQt;
    }
    public void setDistTransNewPlanQt(BigDecimal distTransNewPlanQt)
    {
        this.distTransNewPlanQt = distTransNewPlanQt;
    }

    public BigDecimal getDistTransNewPlanQt()
    {
        return distTransNewPlanQt;
    }
    public void setDistTransNewAccuQt(BigDecimal distTransNewAccuQt)
    {
        this.distTransNewAccuQt = distTransNewAccuQt;
    }

    public BigDecimal getDistTransNewAccuQt()
    {
        return distTransNewAccuQt;
    }
    public void setLowVoltLinePlanQt(BigDecimal lowVoltLinePlanQt)
    {
        this.lowVoltLinePlanQt = lowVoltLinePlanQt;
    }

    public BigDecimal getLowVoltLinePlanQt()
    {
        return lowVoltLinePlanQt;
    }
    public void setLowVoltLineAccuQt(BigDecimal lowVoltLineAccuQt)
    {
        this.lowVoltLineAccuQt = lowVoltLineAccuQt;
    }

    public BigDecimal getLowVoltLineAccuQt()
    {
        return lowVoltLineAccuQt;
    }
    public void setTowerPlanQt(BigDecimal towerPlanQt)
    {
        this.towerPlanQt = towerPlanQt;
    }

    public BigDecimal getTowerPlanQt()
    {
        return towerPlanQt;
    }
    public void setTowerAccuQt(BigDecimal towerAccuQt)
    {
        this.towerAccuQt = towerAccuQt;
    }

    public BigDecimal getTowerAccuQt()
    {
        return towerAccuQt;
    }
    public void setRingCabinetPlanQt(BigDecimal ringCabinetPlanQt)
    {
        this.ringCabinetPlanQt = ringCabinetPlanQt;
    }

    public BigDecimal getRingCabinetPlanQt()
    {
        return ringCabinetPlanQt;
    }
    public void setRingCabinetAccuQt(BigDecimal ringCabinetAccuQt)
    {
        this.ringCabinetAccuQt = ringCabinetAccuQt;
    }

    public BigDecimal getRingCabinetAccuQt()
    {
        return ringCabinetAccuQt;
    }
    public void setPoleTabPlanQt(BigDecimal poleTabPlanQt)
    {
        this.poleTabPlanQt = poleTabPlanQt;
    }

    public BigDecimal getPoleTabPlanQt()
    {
        return poleTabPlanQt;
    }
    public void setPoleTabAccuQt(BigDecimal poleTabAccuQt)
    {
        this.poleTabAccuQt = poleTabAccuQt;
    }

    public BigDecimal getPoleTabAccuQt()
    {
        return poleTabAccuQt;
    }
    public void setStdOrgNo(String stdOrgNo)
    {
        this.stdOrgNo = stdOrgNo;
    }

    public String getStdOrgNo()
    {
        return stdOrgNo;
    }
    public void setStdOrgNm(String stdOrgNm)
    {
        this.stdOrgNm = stdOrgNm;
    }

    public String getStdOrgNm()
    {
        return stdOrgNm;
    }
    public void setStdCityOrgNo(String stdCityOrgNo)
    {
        this.stdCityOrgNo = stdCityOrgNo;
    }

    public String getStdCityOrgNo()
    {
        return stdCityOrgNo;
    }
    public void setStdCityOrgNm(String stdCityOrgNm)
    {
        this.stdCityOrgNm = stdCityOrgNm;
    }

    public String getStdCityOrgNm()
    {
        return stdCityOrgNm;
    }
    public void setStdCountyOrgNo(String stdCountyOrgNo)
    {
        this.stdCountyOrgNo = stdCountyOrgNo;
    }

    public String getStdCountyOrgNo()
    {
        return stdCountyOrgNo;
    }
    public void setStdCountyOrgNm(String stdCountyOrgNm)
    {
        this.stdCountyOrgNm = stdCountyOrgNm;
    }

    public String getStdCountyOrgNm()
    {
        return stdCountyOrgNm;
    }
    public void setDataDt(String dataDt)
    {
        this.dataDt = dataDt;
    }

    public String getDataDt()
    {
        return dataDt;
    }
    public void setEtlTm(String etlTm)
    {
        this.etlTm = etlTm;
    }

    public String getEtlTm()
    {
        return etlTm;
    }
    public void setLineCableNewAccuQtWeek(BigDecimal lineCableNewAccuQtWeek)
    {
        this.lineCableNewAccuQtWeek = lineCableNewAccuQtWeek;
    }

    public BigDecimal getLineCableNewAccuQtWeek()
    {
        return lineCableNewAccuQtWeek;
    }
    public void setLineOverhdNewAccuQtWeek(BigDecimal lineOverhdNewAccuQtWeek)
    {
        this.lineOverhdNewAccuQtWeek = lineOverhdNewAccuQtWeek;
    }

    public BigDecimal getLineOverhdNewAccuQtWeek()
    {
        return lineOverhdNewAccuQtWeek;
    }
    public void setDistTransNewAccuQtWeek(BigDecimal distTransNewAccuQtWeek)
    {
        this.distTransNewAccuQtWeek = distTransNewAccuQtWeek;
    }

    public BigDecimal getDistTransNewAccuQtWeek()
    {
        return distTransNewAccuQtWeek;
    }
    public void setLowVoltLineAccuQtWeek(BigDecimal lowVoltLineAccuQtWeek)
    {
        this.lowVoltLineAccuQtWeek = lowVoltLineAccuQtWeek;
    }

    public BigDecimal getLowVoltLineAccuQtWeek()
    {
        return lowVoltLineAccuQtWeek;
    }
    public void setTowerAccuQtWeek(BigDecimal towerAccuQtWeek)
    {
        this.towerAccuQtWeek = towerAccuQtWeek;
    }

    public BigDecimal getTowerAccuQtWeek()
    {
        return towerAccuQtWeek;
    }
    public void setRingCabinetAccuQtWeek(BigDecimal ringCabinetAccuQtWeek)
    {
        this.ringCabinetAccuQtWeek = ringCabinetAccuQtWeek;
    }

    public BigDecimal getRingCabinetAccuQtWeek()
    {
        return ringCabinetAccuQtWeek;
    }
    public void setPoleTabAccuQtWeek(BigDecimal poleTabAccuQtWeek)
    {
        this.poleTabAccuQtWeek = poleTabAccuQtWeek;
    }

    public BigDecimal getPoleTabAccuQtWeek()
    {
        return poleTabAccuQtWeek;
    }
    public void setLineCableNewAccuQtWork(BigDecimal lineCableNewAccuQtWork)
    {
        this.lineCableNewAccuQtWork = lineCableNewAccuQtWork;
    }

    public BigDecimal getLineCableNewAccuQtWork()
    {
        return lineCableNewAccuQtWork;
    }
    public void setLineOverhdNewAccuQtWork(BigDecimal lineOverhdNewAccuQtWork)
    {
        this.lineOverhdNewAccuQtWork = lineOverhdNewAccuQtWork;
    }

    public BigDecimal getLineOverhdNewAccuQtWork()
    {
        return lineOverhdNewAccuQtWork;
    }
    public void setDistTransNewAccuQtWork(BigDecimal distTransNewAccuQtWork)
    {
        this.distTransNewAccuQtWork = distTransNewAccuQtWork;
    }

    public BigDecimal getDistTransNewAccuQtWork()
    {
        return distTransNewAccuQtWork;
    }
    public void setLowVoltLineAccuQtWork(BigDecimal lowVoltLineAccuQtWork)
    {
        this.lowVoltLineAccuQtWork = lowVoltLineAccuQtWork;
    }

    public BigDecimal getLowVoltLineAccuQtWork()
    {
        return lowVoltLineAccuQtWork;
    }
    public void setTowerAccuQtWork(BigDecimal towerAccuQtWork)
    {
        this.towerAccuQtWork = towerAccuQtWork;
    }

    public BigDecimal getTowerAccuQtWork()
    {
        return towerAccuQtWork;
    }
    public void setRingCabinetAccuQtWork(BigDecimal ringCabinetAccuQtWork)
    {
        this.ringCabinetAccuQtWork = ringCabinetAccuQtWork;
    }

    public BigDecimal getRingCabinetAccuQtWork()
    {
        return ringCabinetAccuQtWork;
    }
    public void setPoleTabAccuQtWork(BigDecimal poleTabAccuQtWork)
    {
        this.poleTabAccuQtWork = poleTabAccuQtWork;
    }

    public BigDecimal getPoleTabAccuQtWork()
    {
        return poleTabAccuQtWork;
    }
    public void setLineCableNewAccuQtWorkWeek(BigDecimal lineCableNewAccuQtWorkWeek)
    {
        this.lineCableNewAccuQtWorkWeek = lineCableNewAccuQtWorkWeek;
    }

    public BigDecimal getLineCableNewAccuQtWorkWeek()
    {
        return lineCableNewAccuQtWorkWeek;
    }
    public void setLineOverhdNewAccuQtWorkWeek(BigDecimal lineOverhdNewAccuQtWorkWeek)
    {
        this.lineOverhdNewAccuQtWorkWeek = lineOverhdNewAccuQtWorkWeek;
    }

    public BigDecimal getLineOverhdNewAccuQtWorkWeek()
    {
        return lineOverhdNewAccuQtWorkWeek;
    }
    public void setDistTransNewAccuQtWorkWeek(BigDecimal distTransNewAccuQtWorkWeek)
    {
        this.distTransNewAccuQtWorkWeek = distTransNewAccuQtWorkWeek;
    }

    public BigDecimal getDistTransNewAccuQtWorkWeek()
    {
        return distTransNewAccuQtWorkWeek;
    }
    public void setLowVoltLineAccuQtWorkWeek(BigDecimal lowVoltLineAccuQtWorkWeek)
    {
        this.lowVoltLineAccuQtWorkWeek = lowVoltLineAccuQtWorkWeek;
    }

    public BigDecimal getLowVoltLineAccuQtWorkWeek()
    {
        return lowVoltLineAccuQtWorkWeek;
    }
    public void setTowerAccuQtWorkWeek(BigDecimal towerAccuQtWorkWeek)
    {
        this.towerAccuQtWorkWeek = towerAccuQtWorkWeek;
    }

    public BigDecimal getTowerAccuQtWorkWeek()
    {
        return towerAccuQtWorkWeek;
    }
    public void setRingCabinetAccuQtWorkWeek(BigDecimal ringCabinetAccuQtWorkWeek)
    {
        this.ringCabinetAccuQtWorkWeek = ringCabinetAccuQtWorkWeek;
    }

    public BigDecimal getRingCabinetAccuQtWorkWeek()
    {
        return ringCabinetAccuQtWorkWeek;
    }
    public void setPoleTabAccuQtWorkWeek(BigDecimal poleTabAccuQtWorkWeek)
    {
        this.poleTabAccuQtWorkWeek = poleTabAccuQtWorkWeek;
    }

    public BigDecimal getPoleTabAccuQtWorkWeek()
    {
        return poleTabAccuQtWorkWeek;
    }
    public void setExcType(String excType)
    {
        this.excType = excType;
    }

    public String getExcType()
    {
        return excType;
    }


    public BigDecimal getWorkTotal() {
        return workTotal;
    }

    public void setWorkTotal(BigDecimal workTotal) {
        this.workTotal = workTotal;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("batchId", getBatchId())
            .append("batchName", getBatchName())
            .append("batchCode", getBatchCode())
            .append("planYear", getPlanYear())
            .append("id", getId())
            .append("proCode", getProCode())
            .append("proName", getProName())
            .append("sortSerial", getSortSerial())
            .append("smallVillageName", getSmallVillageName())
            .append("villageName", getVillageName())
            .append("completeFlag", getCompleteFlag())
            .append("proCategory", getProCategory())
            .append("lineCableNewPlanQt", getLineCableNewPlanQt())
            .append("lineCableNewAccuQt", getLineCableNewAccuQt())
            .append("lineOverhdNewPlanQt", getLineOverhdNewPlanQt())
            .append("lineOverhdNewAccuQt", getLineOverhdNewAccuQt())
            .append("distTransNewPlanQt", getDistTransNewPlanQt())
            .append("distTransNewAccuQt", getDistTransNewAccuQt())
            .append("lowVoltLinePlanQt", getLowVoltLinePlanQt())
            .append("lowVoltLineAccuQt", getLowVoltLineAccuQt())
            .append("towerPlanQt", getTowerPlanQt())
            .append("towerAccuQt", getTowerAccuQt())
            .append("ringCabinetPlanQt", getRingCabinetPlanQt())
            .append("ringCabinetAccuQt", getRingCabinetAccuQt())
            .append("poleTabPlanQt", getPoleTabPlanQt())
            .append("poleTabAccuQt", getPoleTabAccuQt())
            .append("stdOrgNo", getStdOrgNo())
            .append("stdOrgNm", getStdOrgNm())
            .append("stdCityOrgNo", getStdCityOrgNo())
            .append("stdCityOrgNm", getStdCityOrgNm())
            .append("stdCountyOrgNo", getStdCountyOrgNo())
            .append("stdCountyOrgNm", getStdCountyOrgNm())
            .append("dataDt", getDataDt())
            .append("etlTm", getEtlTm())
            .append("lineCableNewAccuQtWeek", getLineCableNewAccuQtWeek())
            .append("lineOverhdNewAccuQtWeek", getLineOverhdNewAccuQtWeek())
            .append("distTransNewAccuQtWeek", getDistTransNewAccuQtWeek())
            .append("lowVoltLineAccuQtWeek", getLowVoltLineAccuQtWeek())
            .append("towerAccuQtWeek", getTowerAccuQtWeek())
            .append("ringCabinetAccuQtWeek", getRingCabinetAccuQtWeek())
            .append("poleTabAccuQtWeek", getPoleTabAccuQtWeek())
            .append("lineCableNewAccuQtWork", getLineCableNewAccuQtWork())
            .append("lineOverhdNewAccuQtWork", getLineOverhdNewAccuQtWork())
            .append("distTransNewAccuQtWork", getDistTransNewAccuQtWork())
            .append("lowVoltLineAccuQtWork", getLowVoltLineAccuQtWork())
            .append("towerAccuQtWork", getTowerAccuQtWork())
            .append("ringCabinetAccuQtWork", getRingCabinetAccuQtWork())
            .append("poleTabAccuQtWork", getPoleTabAccuQtWork())
            .append("lineCableNewAccuQtWorkWeek", getLineCableNewAccuQtWorkWeek())
            .append("lineOverhdNewAccuQtWorkWeek", getLineOverhdNewAccuQtWorkWeek())
            .append("distTransNewAccuQtWorkWeek", getDistTransNewAccuQtWorkWeek())
            .append("lowVoltLineAccuQtWorkWeek", getLowVoltLineAccuQtWorkWeek())
            .append("towerAccuQtWorkWeek", getTowerAccuQtWorkWeek())
            .append("ringCabinetAccuQtWorkWeek", getRingCabinetAccuQtWorkWeek())
            .append("poleTabAccuQtWorkWeek", getPoleTabAccuQtWorkWeek())
            .append("excType", getExcType())
            .toString();
    }
}
