package com.ruoyi.powerdistribution.mapper;

import java.util.List;
import com.ruoyi.powerdistribution.domain.PdmVehicleDrivingRecord;
import com.ruoyi.powerdistribution.provider.VehicleDrivingRecordProvider;
import org.apache.ibatis.annotations.InsertProvider;

/**
 * 施工车辆行驶记录Mapper接口
 * 
 * @author ruoyi
 * @date 2025-01-21
 */
public interface PdmVehicleDrivingRecordMapper 
{
    /**
     * 查询施工车辆行驶记录
     * 
     * @param id 施工车辆行驶记录主键
     * @return 施工车辆行驶记录
     */
    public PdmVehicleDrivingRecord selectPdmVehicleDrivingRecordById(Long id);

    /**
     * 查询施工车辆行驶记录列表
     * 
     * @param pdmVehicleDrivingRecord 施工车辆行驶记录
     * @return 施工车辆行驶记录集合
     */
    public List<PdmVehicleDrivingRecord> selectPdmVehicleDrivingRecordList(PdmVehicleDrivingRecord pdmVehicleDrivingRecord);

    /**
     * 查询施工车辆行驶记录列表
     *
     * @param pdmVehicleDrivingRecord 施工车辆行驶记录
     * @return 施工车辆行驶记录集合
     */
    public List<PdmVehicleDrivingRecord> selectPdmVehicleDrivingRecordList2(PdmVehicleDrivingRecord pdmVehicleDrivingRecord);
    /**
     * 新增施工车辆行驶记录
     * 
     * @param pdmVehicleDrivingRecord 施工车辆行驶记录
     * @return 结果
     */
    public int insertPdmVehicleDrivingRecord(PdmVehicleDrivingRecord pdmVehicleDrivingRecord);

    /**
     * 修改施工车辆行驶记录
     * 
     * @param pdmVehicleDrivingRecord 施工车辆行驶记录
     * @return 结果
     */
    public int updatePdmVehicleDrivingRecord(PdmVehicleDrivingRecord pdmVehicleDrivingRecord);

    /**
     * 删除施工车辆行驶记录
     * 
     * @param id 施工车辆行驶记录主键
     * @return 结果
     */
    public int deletePdmVehicleDrivingRecordById(Long id);

    /**
     * 批量删除施工车辆行驶记录
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePdmVehicleDrivingRecordByIds(Long[] ids);


    @InsertProvider(type = VehicleDrivingRecordProvider.class, method = "insert")
    void insert(List<PdmVehicleDrivingRecord> list);

    /**
     * 更新车辆状态
     */
    public void getVehiclesLastStatus();

}
