package com.ruoyi.powerdistribution.service;

import java.util.List;
import com.ruoyi.powerdistribution.domain.PdmConstructTeam;
import com.ruoyi.powerdistribution.domain.excel.ConstructTeam;
import com.ruoyi.powerdistribution.domain.vo.PdmConstructTeamVo;

/**
 * 配网工程队伍施工小组信息Service接口
 * 
 * @author ruoyi
 * @date 2025-01-20
 */
public interface IPdmConstructTeamService 
{
    /**
     * 查询配网工程队伍施工小组信息
     * 
     * @param id 配网工程队伍施工小组信息主键
     * @return 配网工程队伍施工小组信息
     */
    public PdmConstructTeam selectPdmConstructTeamById(Long id);

    /**
     * 查询配网工程队伍施工小组信息列表
     * 
     * @param pdmConstructTeam 配网工程队伍施工小组信息
     * @return 配网工程队伍施工小组信息集合
     */
    public List<PdmConstructTeam> selectPdmConstructTeamList(PdmConstructTeam pdmConstructTeam);

    /**
     * 新增配网工程队伍施工小组信息
     * 
     * @param pdmConstructTeam 配网工程队伍施工小组信息
     * @return 结果
     */
    public int insertPdmConstructTeam(PdmConstructTeamVo pdmConstructTeam);

    /**
     * 修改配网工程队伍施工小组信息
     * 
     * @param pdmConstructTeam 配网工程队伍施工小组信息
     * @return 结果
     */
    public int updatePdmConstructTeam(PdmConstructTeamVo pdmConstructTeam);

    /**
     * 批量删除配网工程队伍施工小组信息
     * 
     * @param ids 需要删除的配网工程队伍施工小组信息主键集合
     * @return 结果
     */
    public int deletePdmConstructTeamByIds(Long[] ids);

    /**
     * 删除配网工程队伍施工小组信息信息
     * 
     * @param id 配网工程队伍施工小组信息主键
     * @return 结果
     */
    public int deletePdmConstructTeamById(Long id);

    /**
     * 文件导入
     * @param constructTeamList
     */
    public void importExcel(List<ConstructTeam> constructTeamList);
}
