package com.ruoyi.powerdistribution.service;

import java.util.List;
import com.ruoyi.powerdistribution.domain.PdmVehicleDrivingRecord;

/**
 * 施工车辆行驶记录Service接口
 * 
 * @author ruoyi
 * @date 2025-01-21
 */
public interface IPdmVehicleDrivingRecordService 
{
    /**
     * 查询施工车辆行驶记录
     * 
     * @param id 施工车辆行驶记录主键
     * @return 施工车辆行驶记录
     */
    public PdmVehicleDrivingRecord selectPdmVehicleDrivingRecordById(Long id);

    /**
     * 查询施工车辆行驶记录列表
     * 
     * @param pdmVehicleDrivingRecord 施工车辆行驶记录
     * @return 施工车辆行驶记录集合
     */
    public List<PdmVehicleDrivingRecord> selectPdmVehicleDrivingRecordList(PdmVehicleDrivingRecord pdmVehicleDrivingRecord);

    /**
     * 查询施工车辆行驶记录列表
     *
     * @param pdmVehicleDrivingRecord 施工车辆行驶记录
     * @return 施工车辆行驶记录集合
     */
    public List<PdmVehicleDrivingRecord> selectPdmVehicleDrivingRecordList2(PdmVehicleDrivingRecord pdmVehicleDrivingRecord);

    /**
     * 新增施工车辆行驶记录
     * 
     * @param pdmVehicleDrivingRecord 施工车辆行驶记录
     * @return 结果
     */
    public int insertPdmVehicleDrivingRecord(PdmVehicleDrivingRecord pdmVehicleDrivingRecord);

    /**
     * 修改施工车辆行驶记录
     * 
     * @param pdmVehicleDrivingRecord 施工车辆行驶记录
     * @return 结果
     */
    public int updatePdmVehicleDrivingRecord(PdmVehicleDrivingRecord pdmVehicleDrivingRecord);

    /**
     * 批量删除施工车辆行驶记录
     * 
     * @param ids 需要删除的施工车辆行驶记录主键集合
     * @return 结果
     */
    public int deletePdmVehicleDrivingRecordByIds(Long[] ids);

    /**
     * 删除施工车辆行驶记录信息
     * 
     * @param id 施工车辆行驶记录主键
     * @return 结果
     */
    public int deletePdmVehicleDrivingRecordById(Long id);

    /**
     * 批量插入
     * @param list
     */
    public void batchAdd(List<PdmVehicleDrivingRecord> list);
}
