package com.ruoyi.powerdistribution.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.powerdistribution.mapper.PdmVehicleAlarmHistMapper;
import com.ruoyi.powerdistribution.domain.PdmVehicleAlarmHist;
import com.ruoyi.powerdistribution.service.IPdmVehicleAlarmHistService;

/**
 * 施工车辆告警历史Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-01-23
 */
@Service
public class PdmVehicleAlarmHistServiceImpl implements IPdmVehicleAlarmHistService 
{
    @Autowired
    private PdmVehicleAlarmHistMapper pdmVehicleAlarmHistMapper;

    /**
     * 查询施工车辆告警历史
     * 
     * @param id 施工车辆告警历史主键
     * @return 施工车辆告警历史
     */
    @Override
    public PdmVehicleAlarmHist selectPdmVehicleAlarmHistById(Long id)
    {
        return pdmVehicleAlarmHistMapper.selectPdmVehicleAlarmHistById(id);
    }

    /**
     * 查询施工车辆告警历史列表
     * 
     * @param pdmVehicleAlarmHist 施工车辆告警历史
     * @return 施工车辆告警历史
     */
    @Override
    public List<PdmVehicleAlarmHist> selectPdmVehicleAlarmHistList(PdmVehicleAlarmHist pdmVehicleAlarmHist)
    {
        return pdmVehicleAlarmHistMapper.selectPdmVehicleAlarmHistList(pdmVehicleAlarmHist);
    }

    /**
     * 新增施工车辆告警历史
     * 
     * @param pdmVehicleAlarmHist 施工车辆告警历史
     * @return 结果
     */
    @Override
    public int insertPdmVehicleAlarmHist(PdmVehicleAlarmHist pdmVehicleAlarmHist)
    {
        pdmVehicleAlarmHist.setCreateTime(DateUtils.getNowDate());
        return pdmVehicleAlarmHistMapper.insertPdmVehicleAlarmHist(pdmVehicleAlarmHist);
    }

    /**
     * 修改施工车辆告警历史
     * 
     * @param pdmVehicleAlarmHist 施工车辆告警历史
     * @return 结果
     */
    @Override
    public int updatePdmVehicleAlarmHist(PdmVehicleAlarmHist pdmVehicleAlarmHist)
    {
        pdmVehicleAlarmHist.setUpdateTime(DateUtils.getNowDate());
        return pdmVehicleAlarmHistMapper.updatePdmVehicleAlarmHist(pdmVehicleAlarmHist);
    }

    /**
     * 批量删除施工车辆告警历史
     * 
     * @param ids 需要删除的施工车辆告警历史主键
     * @return 结果
     */
    @Override
    public int deletePdmVehicleAlarmHistByIds(Long[] ids)
    {
        return pdmVehicleAlarmHistMapper.deletePdmVehicleAlarmHistByIds(ids);
    }

    /**
     * 删除施工车辆告警历史信息
     * 
     * @param id 施工车辆告警历史主键
     * @return 结果
     */
    @Override
    public int deletePdmVehicleAlarmHistById(Long id)
    {
        return pdmVehicleAlarmHistMapper.deletePdmVehicleAlarmHistById(id);
    }
}
